> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trendyol product

> Get one Trendyol product by contentId or URL: price, brand, rating, attributes, variants, seller and other sellers. Flat 5 points per successful run.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-trendyol-products
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-trendyol-products:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Trendyol product
      description: >-
        Get one Trendyol product by contentId or URL: price, brand, rating,
        attributes, variants, seller and other sellers. Flat 5 points per
        successful run.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                product:
                  description: Product ID or URL. e.g. 689227641
                  type: string
              required:
                - product
            example:
              product: '689227641'
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  product:
                    type: string
                  product_id:
                    type: string
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      product:
                        type: object
                        properties:
                          id:
                            type: string
                          url:
                            type: string
                          name:
                            type: string
                          product_group_id:
                            type: string
                          brand:
                            type: string
                          brand_id:
                            type: string
                          brand_url:
                            type: string
                          price:
                            type: number
                          list_price:
                            type: number
                          discount_percentage:
                            type: integer
                          currency:
                            type: string
                          image:
                            type: string
                          images:
                            type: array
                            items:
                              type: string
                          rating:
                            type: number
                          rating_count:
                            type: integer
                          review_count:
                            type: integer
                          favorite_count:
                            type: integer
                          is_in_stock:
                            type: boolean
                          category:
                            type: string
                          category_hierarchy:
                            type: string
                          breadcrumbs:
                            type: array
                            items:
                              type: string
                          gender: {}
                          max_installment:
                            type: integer
                          is_refundable:
                            type: boolean
                          is_global_brand:
                            type: boolean
                          energy_class: {}
                          attributes:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                value:
                                  type: string
                          variants:
                            type: array
                            items:
                              type: object
                              properties:
                                item_number:
                                  type: string
                                value: {}
                                is_selected:
                                  type: boolean
                                is_in_stock:
                                  type: boolean
                                price:
                                  type: number
                                barcode:
                                  type: string
                          seller:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              official_name:
                                type: string
                              city:
                                type: string
                              rating:
                                type: number
                              image:
                                type: string
                          other_seller_count:
                            type: integer
                          other_sellers:
                            type: array
                            items:
                              type: object
                              properties:
                                seller_id:
                                  type: string
                                seller_name:
                                  type: string
                                rating:
                                  type: number
                                price:
                                  type: number
                                list_price:
                                  type: number
                                currency:
                                  type: string
                                url:
                                  type: string
                                has_free_cargo:
                                  type: boolean
                          promotions:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                type:
                                  type: string
                                is_applied:
                                  type: boolean
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: trendyol_product
                product: '689227641'
                product_id: '689227641'
                human: >-
                  # Trendyol product


                  - **Product:** 689227641

                  - **Proxy traffic:** 823.8 KB

                  - **Name:** Yenilenmiş iPhone 12 64 GB Beyaz Cep Telefonu (12
                  Ay Garantili) - A Kalite

                  - **Brand:** Apple

                  - **Price:** 17954.05 TRY

                  - **Rating:** 3.99 (121 reviews)

                  - **In stock:** yes

                  - **Seller:** GARANTİLİ CEP
                machine:
                  product:
                    id: '689227641'
                    url: >-
                      https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641
                    name: >-
                      Yenilenmiş iPhone 12 64 GB Beyaz Cep Telefonu (12 Ay
                      Garantili) - A Kalite
                    product_group_id: '532762653'
                    brand: Apple
                    brand_id: '1617'
                    brand_url: https://www.trendyol.com/apple-x-b101470
                    price: 17954.05
                    list_price: 17954.05
                    discount_percentage: 5
                    currency: TRY
                    image: >-
                      https://cdn.dsmcdn.com/ty917/product/media/images/20230529/19/370412366/911914738/1/1_org_zoom.jpg
                    images:
                      - >-
                        https://cdn.dsmcdn.com/ty917/product/media/images/20230529/19/370412366/911914738/1/1_org_zoom.jpg
                    rating: 3.99
                    rating_count: 189
                    review_count: 121
                    favorite_count: 10978
                    is_in_stock: true
                    category: Yenilenmiş Cep Telefonu
                    category_hierarchy: Elektronik/Telefon/Yenilenmiş Cep Telefonu
                    breadcrumbs:
                      - Elektronik
                      - Telefon
                    gender: null
                    max_installment: 9
                    is_refundable: true
                    is_global_brand: false
                    energy_class: null
                    attributes:
                      - name: Dahili Hafıza
                        value: 64 GB
                      - name: Kozmetik Durum
                        value: A seviye-Mükemmel
                    variants:
                      - item_number: '911914738'
                        value: null
                        is_selected: true
                        is_in_stock: true
                        price: 17954.05
                        barcode: '9999010110043'
                    seller:
                      id: '414188'
                      name: GARANTİLİ CEP
                      official_name: GARANTİLİ TEKNOLOJİ İLETİŞİM HİZMETLERİ ANONİM ŞİRKETİ
                      city: İSTANBUL
                      rating: 7.7
                      image: >-
                        https://cdn.dsmcdn.com/seller-store/uploads/414188/92b8d85f-4831-4e55-90d4-ec7a0ca8e134.jpeg
                    other_seller_count: 3
                    other_sellers:
                      - seller_id: '226317'
                        seller_name: HB BİLİŞİM
                        rating: 8.3
                        price: 18096.55
                        list_price: 18096.55
                        currency: TRY
                        url: >-
                          https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641?boutiqueId=61&merchantId=226317
                        has_free_cargo: true
                      - seller_id: '230886'
                        seller_name: Getmobil
                        rating: 7.5
                        price: 18999.05
                        list_price: 18999.05
                        currency: TRY
                        url: >-
                          https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641?boutiqueId=61&merchantId=230886
                        has_free_cargo: true
                    promotions:
                      - id: '30414015'
                        name: Sepette %5 İndirim
                        type: DiscountOnBasket
                        is_applied: true
                      - id: '27415355'
                        name: 350 TL ve Üzeri Kargo Bedava (Satıcı Karşılar)
                        type: Cargo
                        is_applied: true
                  proxy_traffic_bytes: 843553
                total_points: 5
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````